<?php

namespace xenMade\ACPE\Admin\Controller;

use XF\Mvc\ParameterBag;

class Info extends \XF\Admin\Controller\AbstractController
{
    public function actionIndex()
    {
        /** @var \xenMade\ACPE\Repository\Info $infoRepo */
        $infoRepo = $this->repository('xenMade\ACPE:Info');

        /** @var \xenMade\ACPE\Repository\SoftwareVersions $versionRepo */
        //$versionRepo = $this->repository('xenMade\ACPE:SoftwareVersions');

        $viewParams = [
            'host' => $infoRepo->hostInfos(),
            'server' => $infoRepo->serverInfos(),
        ];

        return $this->view('xenMade:ACPE\Info', 'acpe_info', $viewParams);
    }
}