<?php

namespace xenMade\ACPE\Repository;

use XF\Mvc\Entity\Finder;
use XF\Mvc\Entity\Repository;

class Cleaner extends Repository
{
    public function findeUserAwaitingConfirm()
    {
        if(\XF::options()->acpe_DeleteUserAwaitingConfirm)
        {
            /** @var \XF\Finder\User $finder */
            $finder = $this->finder('XF:User')
                ->whereOr(
                    ['user_state', 'email_confirm'],
                    ['user_state', 'email_confirm_edit']
                )
                ->where('register_date', '<=', \XF::$time - (\XF::options()->acpe_DeleteUserAwaitingConfirm * 86400) )
                ->limit(1000);

            $users = $finder->fetch();

            /** @var \XF\Entity\User $user */
            foreach ($users AS $user)
            {
                $user->delete(false);
            }
        }

    }
}