<?php

namespace xenMade\ACPE\XF\AddOn;

class Manager extends XFCP_Manager
{
    public $_acpe = null;

    /**
     * @return \XF\Entity\AddOn[]
     */
    protected function getInstalledEntities()
    {
        if(empty($this->_acpe))
            return parent::getInstalledEntities();

        if (!is_array($this->installedAddOns))
        {
            $this->installedAddOns = \XF::em()->getFinder('XF:AddOn')->fetch()->toArray();
        }

        return $this->installedAddOns;
    }
}
if (false)
{
    class XFCP_Manager extends \XF\AddOn\Manager {}
}