<?php

namespace xenMade\ACPE\XF\Admin\Controller;


class Tools extends XFCP_Tools
{
    public function actionDebugMode()
    {
        $this->assertAdminPermission('acpp_enabledDebugMode');

        $sympleCache = \XF::app()->simpleCache();
        $sympleCache->setValue('xenMade/ACPE', 'debug_mode', $this->filter('debug_mode', 'bool'));

        return $this->redirect(
            $this->getDynamicRedirectIfNot($this->buildLink('login')),
            \XF::phrase('your_changes_have_been_saved')
        );
    }
}
if (false)
{
    class XFCP_Tools extends \XF\Admin\Controller\Tools {}
}