<?php

namespace xenMade\ACPE\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class User extends XFCP_User
{
    public function canUseDebugMode(&$error = null)
    {
        return $this->hasPermission('acpe', 'canUseDebugMode');
    }

    public function hasAdminPermission($permissionId)
    {
        if(\XF::app()->offsetExists('acpe_bypass') && \XF::options()->acpe_DisableStatsOnIndex && $permissionId == 'viewStatistics')
        {
            return false;
        }

        return parent::hasAdminPermission($permissionId);
    }

    public function canViewPollVoters(&$error = null)
    {
        return $this->hasPermission('general', 'acpeCanViewPollVoters');
    }
}
if (false)
{
    class XFCP_User extends \XF\Entity\User {}
}