<?php

namespace xenMade\ACPE\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class AddOn extends XFCP_AddOn
{
    protected $_softwareVersions = null;

    public function isOldVersion()
    {
        if($this->_softwareVersions === null)
        {
            /** @var \xenMade\ACPE\Repository\SoftwareVersions $versionRepo */
            $versionRepo = $this->repository('xenMade\ACPE:SoftwareVersions');
            $this->_softwareVersions = $versionRepo->getVersionsList();
        }

        if(isset($this->_softwareVersions[$this->addon_id]))
        {
            return $this->_softwareVersions[$this->addon_id]['update_exists'];
        }

        return false;
    }
}
if (false)
{
    class XFCP_AddOn extends \XF\Entity\AddOn {}
}