<?php

namespace xenMade\ACPE\XF\Repository;

use XF\Mvc\Entity\Finder;
use XF\Mvc\Entity\Repository;

class ErrorLog extends XFCP_ErrorLog
{
    public function clearFirewallLog()
    {
        $this->db()->emptyTable('xf_xenmade_acpe_login_log');
    }

    public function clearEmailBouncesLog()
    {
        $this->db()->emptyTable('xf_email_bounce_log');
    }

    public function clearUserChangeLog()
    {
        //$this->db()->emptyTable('xf_change_log');
        $this->db()->delete('xf_change_log', 'content_type = \'user\'');
    }

    public function clearModeratorLog()
    {
        $this->db()->emptyTable('xf_moderator_log');
    }

    public function clearAdminLog()
    {
        $this->db()->emptyTable('xf_admin_log');
    }

    public function clearSpamTriggerLog()
    {
        $this->db()->emptyTable('xf_spam_trigger_log');
    }

    public function clearSpamCleanerLog()
    {
        $this->db()->emptyTable('xf_spam_cleaner_log');
    }

    public function clearUserRejectLog()
    {
        $this->db()->emptyTable('xf_user_reject');
    }

    public function clearImageProxyLog()
    {
        $this->db()->emptyTable('xf_image_proxy');
        $this->db()->emptyTable('xf_image_proxy_referrer');
    }

    public function clearLinkProxyLog()
    {
        $this->db()->emptyTable('xf_link_proxy');
        $this->db()->emptyTable('xf_link_proxy_referrer');
    }

    public function clearOembedLog()
    {
        $this->db()->emptyTable('xf_oembed');
        $this->db()->emptyTable('xf_oembed_referrer');
    }
}
if(false)
{
    class XFCP_ErrorLog extends \XF\Repository\ErrorLog {}
}