<?php

namespace xenMade\ACPE\XF\Repository;

use XF\Mvc\Entity\Finder;
use XF\Mvc\Entity\Repository;

class Option extends XFCP_Option
{
    public function findOptionGroupList(array $options = [])
    {
        $finder = parent::findOptionGroupList($options);

        if(\XF::options()->acpe_SortOptionsABC == 'manually')
        {
            $finder->resetOrder();
            $finder->order('display_sort');
        }
        elseif(\XF::options()->acpe_SortOptionsABC == 'abc')
        {
            $finder->resetOrder();
            $finder->order('MasterTitle.phrase_text');
        }

        return $finder;
    }
}
if(false)
{
    class XFCP_Option extends \XF\Repository\Option {}
}